use std::collections::HashSet;

use super::item::Item;

pub struct Requirement(HashSet<Item>);

impl Requirement {
    pub fn new(items: &[Item]) -> Requirement {
        Requirement(HashSet::from_iter(items.into_iter().map(|i| *i)))
    }

    pub fn is_met(&self, items: &[Item]) -> bool {
        let items = HashSet::from_iter(items.into_iter().map(|i| *i));
        self.0.is_subset(&items)
    }
}
